Subject: RE: [sip-mib] Re: [SIP] Some comments on the SIP MIB - configurat ion of security options (draft-ietf-sip-mib-01.txt)

From: Jean-Francois Mule <[email-masked]>
Date: Fri, 10 Nov 2000 17:02:25 -0800

OK - I agree it can get complex and it is certainly preferable to avoid this
in the MIB.  

The object sipProxyAuthMethod then refers to the capabilities:
- the ability of the SIP entity to perform Authentication, and, 
- in cases when authentication is performed, it specifies the method
(capabilities such as the supported algorithm(s) are in some subsequent
objects).

See comments below.
Jean-Francois Mule.
-------------------------
Kevin Lingle wrote:
> that said, it does look like the value 'none' and it's 
> current description 
> go beyond that intended purpose. the description says 'none' means no 
> authentication will be performed.  perhaps that is a point of 
> confusion.   
> maybe 'none' should  be changed to 'unknown' and the 
> description altered 
> to not imply anything about authentication being performed?  comments?

If we agree with the definition given above, I'd rather keep none with this
description:
   "This object specifies the authentication method that the SIP entity
supports 
    to authenticate request originators.
    none(1)            : no authentication is supported.
    basic(2)           : the basic authentication mechanism is supported.
    digest(3)          : the digest authentication mechanism is supported." 

> additionally, we recently got a request to alter the syntax of this
> object so that multiple auth methods could be in play at once.  that
> would be done by making the object's syntax BITS rather than INTEGER.
Yes, and this request confirms the intent of the var:  capabilities for the
supported authentication mechanims.

> you could turn on bits for any combination of 'basic', 'digest', or
> 'pgp'.  the value of 0 would likely imply 'none'.   
> so while we're on the subject are there any comments regarding this
> proposed change (ie, to specify multiple auth methods)?   
> i am currently planning on making this change, so if there are strong 
> arguments against i'd like to hear them now rather than later.
YES.
> kevin

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip